import request from '@/utils/request'

// 查询马拉松里程kv列表
export function listLzydMarathonMileage(query) {
  return request({
    url: '/system/LzydMarathonMileage/list',
    method: 'get',
    params: query
  })
}

// 查询马拉松里程kv详细
export function getLzydMarathonMileage(id) {
  return request({
    url: '/system/LzydMarathonMileage/' + id,
    method: 'get'
  })
}

// 新增马拉松里程kv
export function addLzydMarathonMileage(data) {
  return request({
    url: '/system/LzydMarathonMileage',
    method: 'post',
    data: data
  })
}

// 修改马拉松里程kv
export function updateLzydMarathonMileage(data) {
  return request({
    url: '/system/LzydMarathonMileage',
    method: 'put',
    data: data
  })
}

// 删除马拉松里程kv
export function delLzydMarathonMileage(id) {
  return request({
    url: '/system/LzydMarathonMileage/' + id,
    method: 'delete'
  })
}

// 导出马拉松里程kv
export function exportLzydMarathonMileage(query) {
  return request({
    url: '/system/LzydMarathonMileage/export',
    method: 'get',
    params: query
  })
}